Package com.sun.mail.dsn

## Class text_rfc822headers

- java.lang.Object
- - com.sun.mail.dsn.text_rfc822headers

All Implemented Interfaces:
  `javax.activation.DataContentHandler`

    public class text_rfc822headers
    extends java.lang.Object
    implements javax.activation.DataContentHandler

DataContentHandler for text/rfc822-headers MIME type. Applications should not use this class directly, it's used indirectly through the JavaBeans Activation Framework.

Since:
  JavaMail 1.4

### Constructor Summary

Constructors
`text_rfc822headers()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getContent​(javax.activation.DataSource ds)`
`java.lang.Object` `getTransferData​(java.awt.datatransfer.DataFlavor df, javax.activation.DataSource ds)` Return the Transfer Data of type DataFlavor from InputStream.
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()` Return the DataFlavors for this `DataContentHandler`.
`void` `writeTo​(java.lang.Object obj, java.lang.String type, java.io.OutputStream os)` Write the object to the output stream, using the specified MIME type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### text_rfc822headers

    public text_rfc822headers()

### Method Detail

#### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

Return the DataFlavors for this `DataContentHandler`.

Specified by:
  `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`
Returns:
  The DataFlavors

#### getTransferData

    public java.lang.Object getTransferData​(java.awt.datatransfer.DataFlavor df,
                                            javax.activation.DataSource ds)
                                     throws java.io.IOException

Return the Transfer Data of type DataFlavor from InputStream.

Specified by:
  `getTransferData` in interface `javax.activation.DataContentHandler`
Parameters:
  `df` - The DataFlavor
  `ds` - The DataSource corresponding to the data
Returns:
  String object
Throws:
  `java.io.IOException`

#### getContent

    public java.lang.Object getContent​(javax.activation.DataSource ds)
                                throws java.io.IOException

Specified by:
  `getContent` in interface `javax.activation.DataContentHandler`
Throws:
  `java.io.IOException`

#### writeTo

    public void writeTo​(java.lang.Object obj,
                        java.lang.String type,
                        java.io.OutputStream os)
                 throws java.io.IOException

Write the object to the output stream, using the specified MIME type.

Specified by:
  `writeTo` in interface `javax.activation.DataContentHandler`
Throws:
  `java.io.IOException`